## obfuscate 0.0.10

=== meson_options.txt ===
option (
  'profile',
  type: 'combo',
  choices: [
    'default',
    'development'
  ],
  value: 'default',
  description: 'The build profile for Obfuscate. One of "default" or "development".'
)

## obfuscate 0.0.9

=== debian/changelog ===
obfuscate (0.0.9-3) unstable; urgency=medium

  * Added manpage (Closes: #1055080) 

 -- Matthias Geiger <werdahias@riseup.net>  Thu, 18 Jan 2024 16:57:10 +0100

obfuscate (0.0.9-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 29 Oct 2023 15:21:03 -0400

obfuscate (0.0.9-1) experimental; urgency=medium

  * Initial release. (Closes: #1036924)

 -- Matthias Geiger <matthias.geiger1024@tutanota.de>  Thu, 17 Mar 2022 20:24:51 -0600

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: obfuscate
Section: misc
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Matthias Geiger <werdahias@riseup.net>, Jeremy Bícha <jbicha@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               appstream-util <!nocheck>,
               cargo,
               desktop-file-utils <!nocheck>,
               libadwaita-1-dev,
               libglib2.0-dev (>= 2.66),
               libgtk-4-dev,
               librust-anyhow-1-dev,
               librust-gettext-rs-0+gettext-system-dev (>= 0.7),
               librust-gtk4-0.7+gnome-45-dev,
               librust-log-0.4-dev,
               librust-pretty-env-logger-0.5-dev,
               librust-libadwaita-0.5+v1-4-dev,
               libxml2-utils,
               meson,
Standards-Version: 4.6.2
Homepage: https://gitlab.gnome.org/World/obfuscate
Vcs-Browser: https://salsa.debian.org/gnome-team/obfuscate
Vcs-Git: https://salsa.debian.org/gnome-team/obfuscate.git
Rules-Requires-Root: no

Package: obfuscate
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: simple app to censor images
 Obfuscate is a simple app to redact private information from
 image files with either black boxes or with the less secure method
 of blurring.
 .
 Obfuscate is a GNOME Circle app.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs

include /usr/share/dpkg/default.mk
include /usr/share/rustc/architecture.mk
export CARGO=/usr/share/cargo/bin/cargo
export CARGO_HOME=$(shell pwd)/debian/cargo_home
export CARGO_REGISTRY=$(shell pwd)/debian/cargo_registry
export DEB_CARGO_CRATE=$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM)
export DEB_HOST_RUST_TYPE

%:
	dh $@

execute_after_dh_auto_clean:
	$(CARGO) clean
	rm -rf $(CARGO_HOME)
	rm -rf $(CARGO_REGISTRY)

execute_before_dh_auto_configure:
	$(CARGO) prepare-debian $(CARGO_REGISTRY) --link-from-system
	rm -f Cargo.lock

=== debian/watch ===
version=4

https://gitlab.gnome.org/World/obfuscate/tags?sort=updated_desc archive/@ANY_VERSION@/obfuscate-\d\S*@ARCHIVE_EXT@

## obfuscate 0.0.10

=== debian/changelog ===
obfuscate (0.0.10-7) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Salsa CI: Ignore reprotest failure

  [ Matthias Geiger ]
  * d/rules: Fully convert to use cargo wrapper
  * d/control: Sort B-Ds; generate rust ones with debcargo
  * d/rules: Really set (Static-)Built-Using
  * d/control: Bump S-V to 4.7.2, no changes needed

 -- Matthias Geiger <werdahias@debian.org>  Tue, 25 Mar 2025 22:01:00 +0100

obfuscate (0.0.10-6) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 27 Aug 2024 13:35:53 -0400

obfuscate (0.0.10-5) experimental; urgency=medium

  * Team upload
  * Cherry-pick patch to build with rust-gtk4 0.9
  * Update dependencies
  * Update Homepage

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 19 Aug 2024 16:04:41 -0400

obfuscate (0.0.10-4) unstable; urgency=medium

  * d/p/allow-build.diff: extend for GTK 4.14
  * d/control, d/copyright: Update my mail address

 -- Matthias Geiger <werdahias@debian.org>  Sat, 03 Aug 2024 14:57:43 +0200

obfuscate (0.0.10-3) unstable; urgency=medium

  * Updated watch file for Gitlab API change

 -- Matthias Geiger <werdahias@riseup.net>  Fri, 05 Jul 2024 21:24:03 +0200

obfuscate (0.0.10-2) unstable; urgency=medium

  * Team upload
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 05 May 2024 12:41:35 -0400

obfuscate (0.0.10-1) experimental; urgency=medium

  * New upstream release
  * Drop obsoleted patches
  * Drop debian/control.in
  * Updated build-dependencies for new upstream release
  * Bump Standards-Version to 4.7.0; no changes needed
  * Add Static-Built-Using and X-Cargo-Built-Using fields in d/control
  * Add patch to allow building

 -- Matthias Geiger <werdahias@riseup.net>  Fri, 19 Apr 2024 18:48:26 +0200

=== debian/control ===
Source: obfuscate
Section: misc
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Matthias Geiger <werdahias@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 appstream-util <!nocheck>,
 desktop-file-utils <!nocheck>,
 libadwaita-1-dev,
 libglib2.0-dev (>= 2.66),
 libgtk-4-dev,
 libxml2-utils,
 meson,
 dh-cargo,
 cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-anyhow-1+default-dev,
 librust-gettext-rs-0.7+default-dev,
 librust-gettext-rs-0.7+gettext-system-dev,
 librust-gtk4-0.9+default-dev,
 librust-gtk4-0.9+gnome-45-dev,
 librust-libadwaita-0.7+default-dev,
 librust-libadwaita-0.7+v1-5-dev,
 librust-log-0.4+default-dev,
 librust-pretty-env-logger-0.5+default-dev
Standards-Version: 4.7.2
Homepage: https://apps.gnome.org/Obfuscate/
Vcs-Browser: https://salsa.debian.org/gnome-team/obfuscate
Vcs-Git: https://salsa.debian.org/gnome-team/obfuscate.git
Rules-Requires-Root: no

Package: obfuscate
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Built-Using: ${cargo:Built-Using}
Static-Built-Using: ${cargo:Static-Built-Using}
Description: simple app to censor images
 Obfuscate is a simple app to redact private information from
 image files with either black boxes or with the less secure method
 of blurring.
 .
 Obfuscate is a GNOME Circle app.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk
include /usr/share/rustc/architecture.mk
export CFLAGS CXXFLAGS CPPFLAGS LDFLAGS
export DEB_HOST_RUST_TYPE DEB_HOST_GNU_TYPE
export PATH := /usr/share/cargo/bin:$(PATH)
export CARGO=/usr/share/cargo/bin/cargo
export CARGO_HOME=$(CURDIR)/debian/cargo_home
export DEB_CARGO_CRATE=$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM)
export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

%:
	dh $@

execute_after_dh_auto_clean:
	dh_auto_clean
	rm -rf debian/cargo_registry

execute_before_dh_auto_configure:
	$(CARGO) prepare-debian debian/cargo_registry --link-from-system
	rm -f Cargo.lock
	dh_auto_configure -- -Dhost_arch="$(DEB_HOST_RUST_TYPE)"


# Generate (Static-)Built-Using
# Symlink the installed binary to target/$(DEB_HOST_RUST_TYPE)/release
# since dh-cargo-built-using expects it there
execute_after_dh_auto_install:
	mkdir -p $(CURDIR)/target/$(DEB_HOST_RUST_TYPE)/release
	ln -s $(CURDIR)/debian/usr/bin/obfuscate target/$(DEB_HOST_RUST_TYPE)/release/obfuscate
	/usr/share/cargo/bin/dh-cargo-built-using obfuscate
